
class State(object):
    def __init__(self):
        self.manager = None
        self.resolution = None

    def handle_events(self, events):
        pass
        #raise NotImplementedError("Subclass should implement")

    def update(self, delta):
        pass
        #raise NotImplementedError("Subclass should implement")

    def draw(self, screen):
        pass
        #raise NotImplementedError("Subclass should implement")

    def end(self):
        pass
        #raise NotImplementedError("Subclass should implement")

    def start(self, manager, resolution):
        self.manager = manager
        self.resolution = resolution
        #raise NotImplementedError("Subclass should implement")

    def pause(self):
        pass
        #raise NotImplementedError("Subclass should implement")

    def resume(self):
        pass
        #raise NotImplementedError("Subclass should implement")

